<?php

require_once "../app/model/db.class.php";

    $periodo=$_REQUEST['periodo'];
    $sede=$_REQUEST['sede'];

    
    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    


    $num_reg="select * from cursos_temporal where activar='1'";

    $result5 = $obj->consulta($num_reg);
    $numero = $obj->numero_de_filas($result5); // obtenemos el numero de registros

    /*------ Hallamos el Nombre de la Sede -----*/

    $r_sede=$obj->consulta("select * from sedes where codigo='".$sede."'");
    $row_s = $obj->fetch_assoc($r_sede);


    if  ($numero!=0) {

         while($reg_ren = $obj->fetch_assoc($result5)){

              $obj->consulta("delete from promedio_cursos where periodo ='".$periodo."' and grado='".$reg_ren['grado']."' and curso='".$reg_ren['codigo']."'");

               /*------ Hallamos el promedio del Curso -----*/

              $promedio=$obj->consulta("select avg(promedio) as promedio from rendimiento_general where periodo ='".$periodo."' and grado='".$reg_ren['grado']."' and curso='".$reg_ren['codigo']."'");
              $row1 = $obj->fetch_assoc($promedio);

               if ($row1['promedio']=="")
                   $p=0;               
               else
                   $p=$row1['promedio'];


               $obj->consulta("insert into promedio_cursos (periodo,grado,curso,jornada,descripcion,sede,nombre_sede,promedio) values
                             ('".$periodo."','".$reg_ren['grado']."','".$reg_ren['codigo']."','".$reg_ren['jornada']."','".$reg_ren['descripcion']."','".$reg_ren['sede']."','".$row_s['descripcion']."',".$p.")");


              /*------ Hallamos el Nivel de Desempeño -----*/

              $nivel = $obj->consulta("select codigo,descripcion,inferior,v1,superior,v2 from rangos");
              while($row3 = $obj->fetch_assoc($nivel)){
                    $obj->consulta("update promedio_cursos set nivel_desempeno='".$row3['descripcion']."' where promedio ".$row3['inferior'].$row3['v1']." and promedio ".$row3['superior'].$row3['v2']);
              }


       }
   }

    $obj->disconnect();

   echo "PROCESO FINALIZADO";

?>
